Top-Themen

AppleEntwicklungHardwareInternetLinuxMicrosoftMultimediaNetzwerkeOff TopicSicherheitSonstige SystemeVirtualisierungWeiterbildungZusammenarbeit

Aktuelle Themen (A bis Z)

Administrator.de FeedbackApache ServerAppleAssemblerAudioAusbildungAuslandBackupBasicBatch & ShellBenchmarksBibliotheken & ToolkitsBlogsCloud-DiensteClusterCMSCPU, RAM, MainboardsCSSC und C++DatenbankenDatenschutzDebianDigitiales FernsehenDNSDrucker und ScannerDSL, VDSLE-BooksE-BusinessE-MailEntwicklungErkennung und -AbwehrExchange ServerFestplatten, SSD, RaidFirewallFlatratesGoogle AndroidGrafikGrafikkarten & MonitoreGroupwareHardwareHosting & HousingHTMLHumor (lol)Hyper-VIconsIDE & EditorenInformationsdiensteInstallationInstant MessagingInternetInternet DomäneniOSISDN & AnaloganschlüsseiTunesJavaJavaScriptKiXtartKVMLAN, WAN, WirelessLinuxLinux DesktopLinux NetzwerkLinux ToolsLinux UserverwaltungLizenzierungMac OS XMicrosoftMicrosoft OfficeMikroTik RouterOSMonitoringMultimediaMultimedia & ZubehörNetzwerkeNetzwerkgrundlagenNetzwerkmanagementNetzwerkprotokolleNotebook & ZubehörNovell NetwareOff TopicOpenOffice, LibreOfficeOutlook & MailPapierkorbPascal und DelphiPeripheriegerätePerlPHPPythonRechtliche FragenRedHat, CentOS, FedoraRouter & RoutingSambaSAN, NAS, DASSchriftartenSchulung & TrainingSEOServerServer-HardwareSicherheitSicherheits-ToolsSicherheitsgrundlagenSolarisSonstige SystemeSoziale NetzwerkeSpeicherkartenStudentenjobs & PraktikumSuche ProjektpartnerSuseSwitche und HubsTipps & TricksTK-Netze & GeräteUbuntuUMTS, EDGE & GPRSUtilitiesVB for ApplicationsVerschlüsselung & ZertifikateVideo & StreamingViren und TrojanerVirtualisierungVisual StudioVmwareVoice over IPWebbrowserWebentwicklungWeiterbildungWindows 7Windows 8Windows 10Windows InstallationWindows MobileWindows NetzwerkWindows ServerWindows SystemdateienWindows ToolsWindows UpdateWindows UserverwaltungWindows VistaWindows XPXenserverXMLZusammenarbeit

Probleme beim installieren von libx264 auf Lenny

Frage Linux

Mitglied: tobi83

tobi83 (Level 1) - Jetzt verbinden

28.04.2009, aktualisiert 07:40 Uhr, 4411 Aufrufe, 14 Kommentare

Hi Linuxer,

ich habe gerade arge schwierigkeiten x264 auf meinem System zu installieren.

ich habe mir die aktuelle version von x264 heruntergeladen und in meinen persönlichen Ordner entpackt.

dann habe ich dies hier gemacht:

01.
viona:/data/tobias/x264-snapshot-20090426-2245# ./configure --enable-mp4-output --enable-shared 
02.
./version.sh: line 2: git: command not found 
03.
Platform:   X86 
04.
System:     LINUX 
05.
asm:        yes 
06.
avis input: no 
07.
mp4 output: yes 
08.
pthread:    yes 
09.
debug:      no 
10.
gprof:      no 
11.
PIC:        no 
12.
shared:     yes 
13.
visualize:  no 
14.
 
15.
You can run 'make' or 'make fprofiled' now. 
16.
viona:/data/tobias/x264-snapshot-20090426-2245#
soweit so gut denke ich.

dann habe ich make ausgefürt und erhalte folgende Meldung:

01.
/usr/bin/ld: cannot find -lgpac_static 
02.
collect2: ld returned 1 exit status 
03.
make: *** [libx264.so.67] Fehler 1
leider bin ich noch nicht wirklich so fit in Linux das ich es alleine schaffe diese Problem zu lösen.

Schon mal Danke für eure Hilfe.

Gruß
-tobi
Mitglied: Top44
28.04.2009 um 09:07 Uhr
Dr Google findet für "lgpac_static", hunderte von Lösungsansätzen.

Warum nicht mal damit versuchen ?

grüße
Bitte warten ..
Mitglied: Saarbruecken
28.04.2009 um 09:28 Uhr
Hi

hast du dir die unter Ubuntu als "build essentials" bekannten Komponenten runtergeladen? Das wären neben make und gcc noch die linux-headers-`uname -r`.
Bitte warten ..
Mitglied: tobi83
28.04.2009 um 09:46 Uhr
hatte es mittels google schon versucht aber irgenwei wohl nicht richtig.

ja gcc make und das ganze zeug habe ich schon drauf.
Bitte warten ..
Mitglied: tobi83
28.04.2009 um 11:30 Uhr
Ok.

ich denke mir fehlt die /usr/lib/libgpac_static.a


01.
viona:/usr/lib# apt-get install --reinstall libgpac-dev 
02.
Paketlisten werden gelesen... Fertig 
03.
Abhängigkeitsbaum wird aufgebaut 
04.
Lese Status-Informationen ein... Fertig 
05.
E: Konnte Paket libgpac-dev nicht finden
klappt leider auch nicht. kann man sich diese auch anders besoregn als über apt?
Bitte warten ..
Mitglied: 75823
28.04.2009 um 12:48 Uhr
Versuche das:

sudo apt-get build-dep x264

für die Libs und:

sudo apt-get install git-core

für "./version.sh: line 2: git: command not found "
Bitte warten ..
Mitglied: tobi83
28.04.2009 um 13:33 Uhr
leider hat es nicht geklappt.:

01.
viona:~# apt-get build-dep x264 
02.
Paketlisten werden gelesen... Fertig 
03.
Abhängigkeitsbaum wird aufgebaut 
04.
Lese Status-Informationen ein... Fertig 
05.
E: Kann Quellpaket für x264 nicht finden
git-core dagegen lies sich ohne probleme beheben. aber leider kann ich libx264 damit dann immernoch nicht ohne Fehler compilieren.
Bitte warten ..
Mitglied: 75823
28.04.2009 um 13:43 Uhr
Welche distro hasst du? Wenn ubuntu, dann sollst du multivers freischalten.

Schaumal hier
Bitte warten ..
Mitglied: tobi83
28.04.2009 um 13:50 Uhr
Ich verwende Debian 5 (Lenny).
Bitte warten ..
Mitglied: 75823
28.04.2009 um 17:43 Uhr
Alles klar, von debian wurden den Paket entfernt wegen Patentstreit. Wenn du nicht alle Programmen selbst compilieren willst, nimm dir besser ubuntu.
Oder versuch mal:
sudo apt-get install libgpac-dev libpthread-stubs0 libpthread-stubs0-dev libx11-dev libxau-dev libxcb1-dev libxdmcp-dev quilt x11proto-core-dev x11proto-input-dev x11proto-kb-dev xtrans-dev yasm
Bitte warten ..
Mitglied: 75823
28.04.2009 um 18:28 Uhr
Ja super, schon wieder nicht aufgepasst, du hasst ja kein libgpac-dev. Na dann, herzlich willkommen bei Ubuntu ;)
Bitte warten ..
Mitglied: tobi83
28.04.2009 um 19:34 Uhr


na das wollte ich eigentlich nicht. habe jetzt mit mühe und not dhcp dns und ein bischen asterisk am laufen.
Bitte warten ..
Mitglied: 75823
28.04.2009 um 19:44 Uhr
Von debian auf ubuntu zu migrieren soll kein Problem sein, stell aber besser dafür neuen Frage. Sonnst denke wird es für dich noch schwerer alle nötige Sachen selbst per Hand zu compilieren. Du kannst versuchen die debs aus ubuntu installieren... meistens funktionieren die ohne Problem.
Bitte warten ..
Mitglied: tobi83
28.04.2009 um 20:11 Uhr
ok. danke. werde mal drüber nachdenken.
Bitte warten ..
Ähnliche Inhalte
Vmware
gelöst Update auf ESXI 6.5 Installieren (15)

Frage von zeroblue2005 zum Thema Vmware ...

Batch & Shell
Schriftarten auf mehrere Clients installieren (6)

Frage von michi-ffm zum Thema Batch & Shell ...

Notebook & Zubehör
gelöst MacOs auf Standard-Notebook installieren (10)

Frage von Garrosh zum Thema Notebook & Zubehör ...

Windows 7
Pivot animator silent installieren (5)

Frage von Winfried-HH zum Thema Windows 7 ...

Neue Wissensbeiträge
Ubuntu

Ubuntu 17.10 steht zum Download bereit

(3)

Information von Frank zum Thema Ubuntu ...

Datenschutz

Autofahrer-Pranger - Bewertungsportal illegal

(8)

Information von BassFishFox zum Thema Datenschutz ...

Windows 10

Neues Win10 Funktionsupdate verbuggt RemoteApp

(8)

Information von thomasreischer zum Thema Windows 10 ...

Microsoft

Die neuen RSAT-Tools für Win10 1709 sind da

(2)

Information von DerWoWusste zum Thema Microsoft ...

Heiß diskutierte Inhalte
Monitoring
Netzwerk-Monitoring Software (18)

Frage von Ghost108 zum Thema Monitoring ...

Windows 10
Seekrank bei Windows 10 (18)

Frage von zauberer123 zum Thema Windows 10 ...

Windows 10
Windows 10 Fall Creators Update Fehler (13)

Frage von ZeroCool23 zum Thema Windows 10 ...